From: Hemanth Kumar <hemanthkumar51@gmail.com>
To: linux-btrfs@vger.kernel.org, xfs@oss.sgi.com
Cc: skjmca51@gmail.com, ganeshkumar14@gmail.com,
kirantpatil@gmail.com, praneethu.u@gmail.com,
chethan.casey@gmail.com, sensille@gmx.net, bo.li.liu@oracle.com,
hugo@carfax.org.uk, sandeen@redhat.com,
Hemanth Kumar <hemanthkumar51@gmail.com>
Subject: [Tests] xfs test[299]:Btrfs hierarchical Quotas
Date: Fri, 22 Feb 2013 11:42:19 +0530 [thread overview]
Message-ID: <1361513539-3954-1-git-send-email-hemanthkumar51@gmail.com> (raw)
Signed-off-by: Hemanth Kumar <hemanthkumar51@gmail.com>
---
299 | 38 ++++++++++++++++++++++++++++++++++++++
299.out | 20 ++++++++++++++++++++
2 files changed, 58 insertions(+)
create mode 100644 299
create mode 100644 299.out
diff --git a/299 b/299
new file mode 100644
index 0000000..6b03438
--- /dev/null
+++ b/299
@@ -0,0 +1,38 @@
+#! /bin/bash
+# FS QA Test No. 299
+#
+# Test btrfs's hierarchical quotas
+#
+#------------------------------------------------------------------
+#
+# creator
+owner=hemanthkumar51@gmail.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+
+_cleanup()
+{
+ rm -rf $tmp.*
+}
+
+trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+#Enabeling btrfs qutas
+btrfs quota enable $TEST_DIR
+echo "quota enabled on $TEST_DEV"
+btrfs subvolume create $TEST_DIR/vol1
+btrfs subvolume create $TEST_DIR/vol1/vol2
+btrfs subvolume create $TEST_DIR/vol1/vol2/vol3
+btrfs qgroup limit 5m $TEST_DIR/vol1
+btrfs qgroup limit 3m $TEST_DIR/vol1/vol2
+btrfs qgroup limit 2m $TEST_DIR/vol1/vol2/vol3
+dd if=$TEST_DEV of=$TEST_DIR/vol1/vol2/vol3/file1 bs=3M count=1
+dd if=$TEST_DEV of=$TEST_DIR/vol1/vol2/file1 bs=2M count=1
+dd if=$TEST_DEV of=$TEST_DIR/vol1/file1 bs=5M count=1
+btrfs qgroup show $TEST_DIR
+exit
diff --git a/299.out b/299.out
new file mode 100644
index 0000000..f9a6b96
--- /dev/null
+++ b/299.out
@@ -0,0 +1,20 @@
+QA output created by 299
+quota enabled on /dev/sdc5
+Create subvolume '/test/vol1'
+Create subvolume '/test/vol1/vol2'
+Create subvolume '/test/vol1/vol2/vol3'
+dd: writing ‘/test/vol1/vol2/vol3/file1’: Disk quota exceeded
+1+0 records in
+0+0 records out
+2031616 bytes (2.0 MB) copied, 0.128843 s, 15.8 MB/s
+1+0 records in
+1+0 records out
+2097152 bytes (2.1 MB) copied, 0.00884457 s, 237 MB/s
+dd: writing ‘/test/vol1/file1’: Disk quota exceeded
+1+0 records in
+0+0 records out
+5177344 bytes (5.2 MB) copied, 0.0732531 s, 70.7 MB/s
+0/257 4096 4096
+0/258 4096 4096
+0/259 4096 4096
+
--
1.8.1.2
WARNING: multiple messages have this Message-ID (diff)
From: Hemanth Kumar <hemanthkumar51@gmail.com>
To: linux-btrfs@vger.kernel.org, xfs@oss.sgi.com
Cc: chethan.casey@gmail.com, sandeen@redhat.com, sensille@gmx.net,
ganeshkumar14@gmail.com, praneethu.u@gmail.com,
hugo@carfax.org.uk, bo.li.liu@oracle.com, skjmca51@gmail.com,
Hemanth Kumar <hemanthkumar51@gmail.com>,
kirantpatil@gmail.com
Subject: [Tests] xfs test[299]:Btrfs hierarchical Quotas
Date: Fri, 22 Feb 2013 11:42:19 +0530 [thread overview]
Message-ID: <1361513539-3954-1-git-send-email-hemanthkumar51@gmail.com> (raw)
Signed-off-by: Hemanth Kumar <hemanthkumar51@gmail.com>
---
299 | 38 ++++++++++++++++++++++++++++++++++++++
299.out | 20 ++++++++++++++++++++
2 files changed, 58 insertions(+)
create mode 100644 299
create mode 100644 299.out
diff --git a/299 b/299
new file mode 100644
index 0000000..6b03438
--- /dev/null
+++ b/299
@@ -0,0 +1,38 @@
+#! /bin/bash
+# FS QA Test No. 299
+#
+# Test btrfs's hierarchical quotas
+#
+#------------------------------------------------------------------
+#
+# creator
+owner=hemanthkumar51@gmail.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1 # failure is the default!
+
+_cleanup()
+{
+ rm -rf $tmp.*
+}
+
+trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+#Enabeling btrfs qutas
+btrfs quota enable $TEST_DIR
+echo "quota enabled on $TEST_DEV"
+btrfs subvolume create $TEST_DIR/vol1
+btrfs subvolume create $TEST_DIR/vol1/vol2
+btrfs subvolume create $TEST_DIR/vol1/vol2/vol3
+btrfs qgroup limit 5m $TEST_DIR/vol1
+btrfs qgroup limit 3m $TEST_DIR/vol1/vol2
+btrfs qgroup limit 2m $TEST_DIR/vol1/vol2/vol3
+dd if=$TEST_DEV of=$TEST_DIR/vol1/vol2/vol3/file1 bs=3M count=1
+dd if=$TEST_DEV of=$TEST_DIR/vol1/vol2/file1 bs=2M count=1
+dd if=$TEST_DEV of=$TEST_DIR/vol1/file1 bs=5M count=1
+btrfs qgroup show $TEST_DIR
+exit
diff --git a/299.out b/299.out
new file mode 100644
index 0000000..f9a6b96
--- /dev/null
+++ b/299.out
@@ -0,0 +1,20 @@
+QA output created by 299
+quota enabled on /dev/sdc5
+Create subvolume '/test/vol1'
+Create subvolume '/test/vol1/vol2'
+Create subvolume '/test/vol1/vol2/vol3'
+dd: writing ‘/test/vol1/vol2/vol3/file1’: Disk quota exceeded
+1+0 records in
+0+0 records out
+2031616 bytes (2.0 MB) copied, 0.128843 s, 15.8 MB/s
+1+0 records in
+1+0 records out
+2097152 bytes (2.1 MB) copied, 0.00884457 s, 237 MB/s
+dd: writing ‘/test/vol1/file1’: Disk quota exceeded
+1+0 records in
+0+0 records out
+5177344 bytes (5.2 MB) copied, 0.0732531 s, 70.7 MB/s
+0/257 4096 4096
+0/258 4096 4096
+0/259 4096 4096
+
--
1.8.1.2
_______________________________________________
xfs mailing list
xfs@oss.sgi.com
http://oss.sgi.com/mailman/listinfo/xfs
next reply other threads:[~2013-02-22 6:12 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2013-02-22 6:12 Hemanth Kumar [this message]
2013-02-22 6:12 ` [Tests] xfs test[299]:Btrfs hierarchical Quotas Hemanth Kumar
2013-02-22 6:45 ` Arne Jansen
2013-02-22 6:45 ` Arne Jansen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1361513539-3954-1-git-send-email-hemanthkumar51@gmail.com \
--to=hemanthkumar51@gmail.com \
--cc=bo.li.liu@oracle.com \
--cc=chethan.casey@gmail.com \
--cc=ganeshkumar14@gmail.com \
--cc=hugo@carfax.org.uk \
--cc=kirantpatil@gmail.com \
--cc=linux-btrfs@vger.kernel.org \
--cc=praneethu.u@gmail.com \
--cc=sandeen@redhat.com \
--cc=sensille@gmx.net \
--cc=skjmca51@gmail.com \
--cc=xfs@oss.sgi.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.